.navbar .tools-container {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.navbar .hLine {
    width: 100%;
    height: 1px;
    margin: 10px 0;
    background-color: #f0f0f0;
}

.navbar .navbar-toggler-icon .hide,
.navbar .badge-notification.hide {
    display: none;
}

.navbar .badge-notification {
    position: absolute;
    right: 5px;
    top: 0px;
    background-color: #d9262c;
    border-radius: 50%;
    width: 10px;
    height: 10px;
}

.navbar .notifications-bell {
    position: relative;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/new_bell_icon_lm.png);
    width: 44px;
    height: 40px;
    background-repeat: no-repeat;
    background-size: 52px 40px;
}

.navbar .pmPreviewContainer {
    margin: 0;
}

.navbar .pmPreviewContainer .senderImg {
    height: 50px;
    width: 50px;
}

.navbar .navbar-toggler-icon {
    display: none;
    width: 40px;
    height: 40px;
    background-repeat: no-repeat;
    background-size: 40px;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(0, 0, 0, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

.dropdown-toggle {
    display: flex;
    align-items: center;
}

.dropdown-toggle::after {
    display: none !important;
}

.navbar-brand {
    width: 134px;
    height: 25px;
    padding-bottom: 0 !important;
    padding-top: 0 !important;
    cursor: pointer;
}

.navbar {
    background-color: white;
    border: solid 1px #f0f0f0;
    padding: 16px 24px;
    min-height: 76px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar .navbarBrandName {
    color: #4b4a4a;
    font-family: "Metropolis Regular";
    font-size: 18px;
    line-height: 21px;
    letter-spacing: 0.27px;
    max-width: 200px;
    word-wrap: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    cursor: pointer;
}

.navbar-nav.user-drop {
    flex-direction: column;
}

.leftmenutrigger {
    display: none !important;
}

.navbar .nav-item.settings {
    position: absolute;
    bottom: 80px;
    left: 0;
    width: 100%;
}

.admin {
    padding-top: 78px;
    height: 100vh;
}

.navbar .dropdown-notifications {
    margin-right: 15px;
}

.navbar .dropdown-notifications,
.navbar .dropdown-messages {
    margin-left: 20px;
}

.navbar .dropdown-notifications .dropdown-menu {
    left: -70%;
    padding: 0;
    margin: 0;
}

.navbar .dropdown-messages .dropdown-menu {
    left: -85%;
    padding: 0;
    margin: 0;
}

.navbar .dropdown-menu.notify-drop {
    min-width: 330px;
    width: 500px;
    background-color: #fff;
    min-height: 360px;
    max-height: 360px;
    box-shadow: 5px 5px 30px 0px #00000029;
    border: none;
    border-radius: 27px;
    right: 2%;
    left: auto;
}

.navbar .dropdown-menu.notify-drop .notify-drop-title {
    border-bottom: 1px solid #e2e2e2;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    letter-spacing: 3.24px;
    text-align: center;
    color: #333333;
    font-family: "Metropolis Bold";
}

.dropdown-menu.notify-drop .drop-content {
    min-height: 280px;
    max-height: 360px;
    overflow-y: auto;
    border-radius: 27px;
    padding: 12px 0 0 16px;
}

.navbar .dropdown-menu.notify-drop .notify-drop-footer {
    cursor: pointer;
    border-top: 1px solid #e2e2e2;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    letter-spacing: 3.24px;
    text-align: center;
    color: #333333;
    font-family: "Metropolis Regular";
}

.navbar .nav-link {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding: 3px !important;
    cursor: pointer;
}

.navbar .nav-link .line {
    display: none;
}
.navbar .nav-link.activeLink .line {
    display: block;
    width: 65px;
    height: 1.5px;
    background-color: #0d4962;
}

.navbar .nav-link div:first-child {
    background-size: contain;
    width: 62px;
    height: 62px;
    background-repeat: no-repeat;
    background-position: center;
}

.navbar .user-menu {
    right: 0;
    left: auto;
    background-color: #ffffff;
    border-top-left-radius: 36px;
    box-shadow: 5px 5px 30px 0px #00000029;
    margin: 0;
    border: none;
    top: 42px;
    width: 780px;
    padding: 36px 44px;
}

.navbar .menu-dropdown {
    right: 20%;
    border-radius: 8px;
    width: auto;
    left: auto;
    background-color: #ffffff;
    box-shadow: 0px 0px 10px 0px #dff4ff;
    margin: 0;
    border: none;
    top: 65px;
    border: 1px solid #dff4ff;
}

.navbar .user-menu .userMenuTitle {
    font-family: "Metropolis Regular";
    font-size: 20px;
    line-height: 1.21;
    letter-spacing: 4.32px;
    color: #333333;
}

.navbar .nav-link .HomeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/dashboard_icon_lm_v1.png);
}

.navbar .nav-link .SavedSessionsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/sessions_icon_lm_v1.png);
}

.navbar .nav-link .CommunitiesIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/communities_icon_lm_v1.png);
}

.navbar .nav-link .TeamsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/team_icon_blue_with_label.png);
}

.navbar .nav-link .FriendsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/friend_icon_with_text_blue_accessibility_m_v1.png);
}

.navbar .nav-link .PrivateMessagesIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/messages_icon_navbar_lm_v1.png);
}

.navbar .nav-link .MyPlaylistsIcon {
    height: 59px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/playlists_icon_lm_v1.png);
}

.navbar .nav-link .AdminIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/expert_icon_lm_v1.png);
}

.navbar .nav-link .CreateUserIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/create_user_icon_LM_v1.png);
}

.navbar .nav-link .ServersIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/anonymous_dark_s_v1_.png);
}

.navbar .nav-link .OperationsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/anonymous_dark_s_v1_.png);
}

.navbar .nav-link .BatchRegistrationIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/anonymous_dark_s_v1_.png);
}

.navbar .nav-link .UsersIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/anonymous_dark_s_v1_.png);
}

.navbar .nav-link .EventsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/challenges_icon_lm_v1.png);
}

.navbar .nav-link .LeaderboardsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/leaderboards_icon_lm_v1.png);
}

.navbar .nav-link .SurveysIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/surveys_icon_LM_m_v1.png);
}

.navbar .nav-link .ManageCommunitiesIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/anonymous_dark_s_v1_.png);
}

.navbar .nav-link .ActivitiesIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/v2/navigation/activities_icon_lm_v1.png);
}

.navbar .nav-link .ActivityReportIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/reportDownloadIcon_m_v1.png);
    height: 40px !important;
}

.navbar .nav-link .TournamentsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/tournament_icon_with_label_blue.png);
}

.navbar .navbar-nav.mobile .nav-item.trigger {
    display: none;
}

.navbar .userdropdown .modal .modal-header .close {
    margin-top: 0;
}

.navbar .collapse.navbar-collapse.hide {
    display: none !important;
}

.navbar-expand-lg .navbar-collapse {
    display: none !important;
}

/*  DARK MODE  */
.dark .navbar .navbarBrandName {
    color: #fff;
}
.dark .navbar {
    background-color: #131514;
    border: solid 1px #131514;
}
.dark .navbar .user-menu {
    border: solid 1px #131514;
    background-color: #131514;
}
.dark .navbar .menu-dropdown {
    border: solid 1px #1f2120;
    background-color: #1f2120;
    border: 1px solid #1683ff;
    box-shadow: none;
}
.dark .navbar .hLine {
    height: 1px;
    background-color: #f0f0f0;
    opacity: 1;
}
.dark .userdropdown .identity-name,
.dark .navbar .user-menu .userMenuTitle {
    color: rgba(255, 255, 255, 0.87);
}
.dark .navbar .nav-link.activeLink .line {
    background-color: rgba(255, 255, 255, 0.87);
}
.dark .messagesdropdown .messages {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/message_icon_DM_accessibility_v1.png);
}
.dark .navbar .notifications-bell {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/new_bell_icon_dm.png);
}
.dark .navbar .nav-link .HomeIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/home_icon_DM_m_v1.png);
}
.dark .navbar .nav-link .CommunitiesIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/communities_icon_DM_m_v1.png);
}
.dark .navbar .nav-link .TeamsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/team_icon_white_with_label.png);
}
.dark .navbar .nav-link .PrivateMessagesIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/messages_private_icon_DM_m_v1.png);
}
.dark .navbar .nav-link .MyPlaylistsIcon {
    height: 59px;
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/playlist_icon_DM_m_v1.png);
}
.dark .navbar .nav-link .ActivitiesIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/activities_icon_DM_m_v1.png);
}
.dark .navbar .nav-link .CreateUserIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/create_user_icon_DM_v1.png);
}
.dark .navbar .nav-link .FriendsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/friend_icon_with_text_DM_m_v1.png);
}
.dark .navbar .nav-link .LeaderboardsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/leaderboards_icon_DM_m_v1.png);
}
.dark .navbar .nav-link .SurveysIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/surveys_icon_DM_m_v1.png);
}
.dark .navbar .nav-link .EventsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/challenges_icon_DM_m_v1.png);
}
.dark .navbar .navbar-toggler-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255, 255, 255, 1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}
.dark .navbar .dropdown-menu.notify-drop {
    background-color: rgb(3, 24, 33);
}
.dark .navbar .nav-link .TournamentsIcon {
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/tournament_icon_with_label_white.png);
}

/* are these needed? */
/*.dark .navbar .nav-link .ExpertIcon{
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/expert_icon_DM_m_v1.png);
} 
.dark .navbar .nav-link .SessionIcon{
    background-image: url(https://d1gq9jzbezk7fw.cloudfront.net/p/en_US/gv/i/sessions_icon_DM_m_v1.png);
}*/

@media (min-width: 1023px) {
    .navbar .tools-container {
        position: initial;
    }
    .navbar .nav-link {
        align-items: flex-end;
    }
    .navbar-nav.user-drop {
        background: white;
        border: solid 1px #f0f0f0;
        position: fixed;
        top: 56px;
        flex-direction: column !important;
        left: 0px;
        width: 75px;
        overflow-y: auto;
        bottom: 0;
        overflow-x: hidden;
        padding-bottom: 40px;
    }
}

@media only screen and (max-width: 1024px) {
    .navbar .navbar-toggler-icon {
        display: block;
    }
    .navbar .brand-container,
    .navbar .menuContainer {
        display: none;
    }
    .navbar .user-menu {
        width: 100vw;
        height: 100vh;
        right: 0;
        left: 0;
        top: 0;
        border-radius: 0;
        padding: 15px;
        overflow-y: scroll;
    }
}

@media only screen and (max-width: 768px) {
    .navbar .dropdown-notifications,
    .navbar .dropdown-messages {
        margin-left: 5px;
    }
    .navbar .dropdown-messages,
    .navbar .brand-container,
    .navbar .menuContainer {
        display: none;
    }
    .navbar .navbar-brand {
        margin: 0;
    }
    .navbar .tools-container {
        justify-content: flex-end;
    }
    .navbar .nav-link .LeaderboardsIcon,
    .navbar .nav-link .HomeIcon,
    .navbar .nav-link .SurveysIcon {
        display: none;
    }

    .navbar .notifications-bell {
        width: 35px;
        height: 30px;
        background-size: 40px 30px;
    }
    .admin .userImage {
        width: 35px;
        height: 35px;
    }
    .navbar .navbar-toggler-icon {
        width: 30px;
        height: 30px;
        background-size: 30px;
    }

    .navbar {
        padding: 10px 24px;
        min-height: 60px;
    }
}
